Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.crmf
Class Controls

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.crmf.Controls

All Implemented Interfaces:
  DEREncodable

    public class Controls

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`static Controls` `getInstance(java.lang.Object o)`
`DERObject` `toASN1Object()` Controls ::= SEQUENCE SIZE(1..MAX) OF AttributeTypeAndValue
`AttributeTypeAndValue[]` `toAttributeTypeAndValueArray()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static Controls getInstance(java.lang.Object o)

### toAttributeTypeAndValueArray

    public AttributeTypeAndValue[] toAttributeTypeAndValueArray()

### toASN1Object

    public DERObject toASN1Object()

       Controls  ::= SEQUENCE SIZE(1..MAX) OF AttributeTypeAndValue

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45